/*
 * bomc.js
 * JavaScript to rin the BOMC widget
 *
 * version 0.4
 *
 * Copyright Leefe Hicks 2008
 * http://www.tengutech.com/
 */


/* variables */
//var pageUrl = "http://results.beijing2008.cn/WRM/ENG/INF/GL/95A/GL0000000.shtml";
var pageUrl = "http://results.beijing2008.cn/WRMP/ENG/INF/GL/95A/GL0000000.shtml";
var READ_NUMBER_ROWS = 15;


/* function to trimm link from medal result */

function trimMedal(arg)
{
	var toTest = String(arg);   // Mark string for RegExp

  	var result = toTest.match(/<a href=\"[a-zA-Z0-9\/\.\_]+?\">(\d*?)<\/a>/);

	var toReturn = arg;   // Default return value is argument

	// if there is a result put the trimmed value in the return value
  	if (result != null)
  	{
  		//alert("medal trim: " + result[1] );
	  	toReturn = result[1];
  	}
  	
  	return toReturn;
}


/* Load the page, scrape off data, and store it */

function readPage(pageUrl)
{
	/* get the page */
	$.get(pageUrl, function(data){

		/* put 'data' into a String */
		var pageString = new String(data);

		/* remove EOL characters and tabs */
		var regEOL = new RegExp("[\n\r\t]", "g");
		var pageStringTrimmed = new String(pageString.replace(regEOL, ""));
	
		//alert("pst: " + pageStringTrimmed);

		/* RegExp to find rows in loaded page */
		var regRows = new RegExp("<tr class=\"(tdOne|tdTwo)\">.*?<\/tr>", "gi");

		//alert ("reg defined");

		/* Get an array of matched rows */
		var matchedRows = pageStringTrimmed.match(regRows);
		//alert("match: " + matchedRows);
 
		/* array to collect parsed data from rows */
		var countryData = new Array();
		var testText = "";
		var testText2 = "";

		/* loop through rows and  */
		var x;
		for (x=0; x < READ_NUMBER_ROWS; x++)
		{
	  		//testText = testText + matchedRows[x];
	  		//alert ("row: " + x +"\nREAD_NUMBER_ROWS: "+READ_NUMBER_ROWS);
	  		
	  		// Put string in String for RegExp
	  		var rowString = new String(matchedRows[x]);
	  		
	  		//alert("row: " + x + "\n" + rowString);
	  		
	  		// get array of data from country row
	  		var rowArray = rowString.match(/<tr class=\"[a-zA-Z]+?\"><td>(\d+) <\/td><td class=\"leftText\"><a href=\"([a-zA-Z0-9\/\.\_]+?)\"><img src=\"(.+?)\" align=\"absmiddle\" alt=\".+?\" class=\"flag\" \/>(.+?)<\/a> <\/td><td>(\d*?)<\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td>(\d*?) <\/td><td class=\"one\">(.*?) <\/td><td class=\"two\">(.*?) <\/td><td class=\"three\">(.*?) <\/td><td><a href=\"[a-zA-Z0-9\/\.\_]+?\">(\d*?)<\/a> <\/td><td>(=?\d*?) <\/td><\/tr>/);
	 
	   		//alert(rowArray);
	  		
	  		// Clean Gold medal
	  		rowArray[17] = trimMedal(rowArray[17]);
	
	  		// Clean Silver medal
	  		rowArray[18] = trimMedal(rowArray[18]);
	
	  		// Clean Bronze medal
	  		rowArray[19] = trimMedal(rowArray[19]);
	  		
	  		// Store row data
	  		countryData[x] = rowArray;
	
	  		//$('#bomcBody3').html(tempArray[1]);
	  		//alert("CD: " + countryData[x][1]);
		}
		
		// Display data
	
		/* build table */
		var tempTable = "<table border=\"0\" class\"medalTable\">";
		tempTable = tempTable + "<th>R<\/th><th>Country<\/th><th>G<\/th><th>S<\/th><th>B<\/th><th>T<\/th>";
	
		var y;
		for (y=0; y<READ_NUMBER_ROWS; y++)
		{
			var rowClass = "oddRow";
			if (y % 2 == 0)
				rowClass = "evenRow";
		
			tempTable = tempTable + "<tr class=\"" + rowClass + "\">";
			tempTable = tempTable + "<td>"+countryData[y][1]+"<\/td>";
			tempTable = tempTable + "<td>"+countryData[y][4]+"<\/td>";
			tempTable = tempTable + "<td class=\"gold\">"+countryData[y][17]+"<\/td>";
			tempTable = tempTable + "<td class=\"silver\">"+countryData[y][18]+"<\/td>";
			tempTable = tempTable + "<td class=\"bronze\">"+countryData[y][19]+"<\/td>";
			tempTable = tempTable + "<td>"+countryData[y][20]+"<\/td><\/tr>";
		}
		
		tempTable = tempTable + "<\/table>";

		$('#scrollArea #content').html(tempTable);

	});
}

////////////////////////////////////////

/*$(Document).ready(function() {
	//alert("page ready");
	readPage(pageUrl);
	
	//alert("after page read");
});*/

//////

function getUrl(url) {
	widget.openURL('http://' + url);
}
